# Sequential Integer (UniqueIntegerGenerator)

The [Sequential Integer](/app/generation/generators/generator-reference/sequential-integer.md) generator returns integer values that increment by 1 for each row in the destination database.

## Link object structure <a href="#generator-api-sequential-integer-link-object" id="generator-api-sequential-integer-link-object"></a>

The Sequential Integer generator can be linked. You provide a link object for each linked column. The generator does not support consistency. You cannot configure differential privacy.

The `metadata` object is populated from the [`UniqueIntegerMetadata`](https://app.tonic.ai/apidocs/index.html#/models/UniqueIntegerMetadata) object. `startingPoint` provides the first integer to apply.

```json
{
  "schema": "string",
  "table": "string",
  "column": "string",
  "path": "string",  //JSON fields only
  "dataType": "string",  //MongoDB, Amazon DynamoDB, and JSON fields only
  "metadata": {
    "presetId": "string",
    "generatorId": "UniqueIntegerGenerator",
    "startingPoint": integer,
    "encryptionProcessor": "x-on", //To use configured Structural data encryption
    "customValueProcessor": "string"  //If custom value processor applied
  }
}
```

## Example replacement <a href="#generator-api-sequential-integer-replacement" id="generator-api-sequential-integer-replacement"></a>

The following example replacement for the Sequential Integer generator configures a single unlinked column. The values start with 4.

```json
{
  "name": "user-number",
  "schema": "public",
  "table": "users",
  "links": [
    {
      "schema": "public",
      "table": "users",
      "column": "user-number",
      "metadata": {
        "presetId": "UniqueIntegerGenerator",
        "generatorId": "UniqueIntegerGenerator",
        "startingPoint": 4
      }
    }
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tonic.ai/app/api/quick-start-guide/tonic-api-generator-assignment/generator-api-reference/generator-api-ref-sequential-integer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
